#ifndef _IPLAYSOUND_H_
#define _IPLAYSOUND_H_

struct IPlaySound
{
	virtual void StartPlay() = 0;
	virtual void StopPlay() = 0;
	virtual void Reset() = 0;
	virtual void WriteSoundData(BYTE* lpData, DWORD dwBufferLength, int nChannels, int nBitsPerSample, int nSamplesPerSec) = 0;
	virtual void SetWaveFormat(int nChannels, int nBitsPerSample, int nSamplesPerSec) = 0;
};

__declspec(dllexport) IPlaySound* GetSoundDevice();

#endif